﻿using Hotline.Api.Sdk;
using MapsterMapper;
using Sharing.Orders;
using Sharing.WebCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Sharing.WebPortal.Controllers
{
    /// <summary>
    /// 通知公告
    /// </summary>
    public class NoticeController : BaseController
    {
        private readonly IMapper _mapper;
        private readonly IChannelConfigurationManager _channelConfigurationManager;
        private readonly IHotlineClient _hotlineClient;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="mapper"></param>
        /// <param name="channelConfigurationManager"></param>
        /// <param name="hotlineClient"></param>
        public NoticeController(IMapper mapper, IChannelConfigurationManager channelConfigurationManager, IHotlineClient hotlineClient)
        {
            _mapper = mapper;
            _channelConfigurationManager = channelConfigurationManager;
            _hotlineClient = hotlineClient;
        }
    }
}
